Subject: Re: [PATCH net 1/1] s390/ism: fix receive message buffer allocation

From: Christoph Hellwig <[email-masked]>
Date: Fri, 5 Apr 2024 16:36:41 +0200

On Fri, Apr 05, 2024 at 01:29:55PM +0200, Niklas Schnelle wrote:
> Personally I'd go with a temporary variable here if only to make the
> lines a bit shorter and easier to read. I also think above is not
> correct for allocation failure since folio_address() accesses folio-
> >page without first checking for NULL. So I'm guessing the NULL check
> needs to move and be done on the temporary struct folio*.

Yes, it needs a local variable to NULL check the folio_alloc return.